[Info]
Language=Chinese(Simplified)--简体中文

;How to translate the file to your language?
;only translate the right part of equal mark '='
;for exmample
;[test]  //this is title ,no need translate,also can not change
;00000=Unknown  //only translate the right part 'Unknown' to another language , the left part "00000" no need thanslate.
;Label13=Modify //only translate 'Modify' to another language , the ;left part "Label13" no need thanslate.

;1
[ZoneControl]
00000=未知
00001=开
00002=关

;2
[WaterHeater]
00000=关
00001=热水器
00002=运行

;3
[FAN]
00000=自动
00001=高风
00002=中风
00003=低风

;4
[ACMode]
00000=制冷
00001=制热
00002=通风
00003=自动

;5
[Public]
00000=退出
00001=设置
00002=返回
00003=成功
00004=失败
00005=全开
00006=全关
00007=命令已发送成功!
00008=打开
00009=停止
00010=关闭
00011=保存成功!
00012=增加...
00013=修改...
00014=删除...
00015=动作宏按纽
00016=复制已选命令
00017=粘贴命令
00018=全选
00019=全不选
00020=增加命令...
00021=修改已选择命令...
00022=删除已选命令
00023=ID
00024=顺序号
00025=备注
00026=子网ID
00027=设备ID
00028=类型
00029=参数1
00030=参数2
00031=参数3
00032=储存
00033=命令信息
00034=命令总数:



;6
[Music]
00000=音乐

;7
[MusicButton1To6]
00001=休闲
;客厅
00002=革命
;阿拉伯歌曲
00003=Disco
;中文歌曲
00004=未用
;Ipod
00005=未用
;轻松
00006=未用
;闹钟/警报音

;8 //new 
[MacroAC]
00000=能源
00001=空调全开 
00002=空调全关
00003=冷
00004=凉爽
00005=热
00006=暖

;9
[MacroMusic]
00000=音乐
00001=音乐全开 
00002=音乐全关

;10
[MacroButton]
00000=动作宏按纽

;11
[MacroSecurity]
00000=警报记录
00001=清空
00002=安防
00003=模式:
00004=请选择下面的布防模式/报警：
00005=安防区域

;12
[Week]
00001=星期天
00002=星期一
00003=星期二
00004=星期三
00005=星期四
00006=星期五
00007=星期六

;13
[New20090211]
00000=调光
00001=灯光
00002=电器
00003=页:
00004=开
00005=关

;14  //new 2009-2-15 added
[Community]
00001=公告
00002=通知
00003=服务
00004=信息
00005=天气预报
00006=购物
00007=投票
00008=的士
00009=账单
00010=妈妈和儿子

lblNews=新闻
lblRentAndLease=出租
lblSocialNetworking=社会交往
lblOnlineTV=在线电视
lblLostAndFound=失物招领

[20090215]
00000=社区

;15 description:the following is from database
[dbCurtain]
00000=窗帘

;16
[DBCommunicationButtons]
00000=对讲机
00001=信息
00002=视频
00003=提醒
00004=照片
00005=社区
00006=家状态
00007=仪表


;17
[dbOnOffDevices]
00000=投影机
00001=风扇
00002=喷泉
00003=洒水器
00004=气味机
00005=艺术电视

;18
[dbPIRMotionSensor]
00000=动静
00001=OK
00002=烟
00003=火
00004=阳台 
00005=关
00006=开
00007=投影机
00008=下
00009=上
000010=阳台
000011=窗台
000012=动静
000013=气体
000014=危险
000015=电磁接触器开关
000016=门
000017=门

;19
[DBSystem]
00001=灯光
00002=电视
00003=DVD
00004=窗帘
00005=喷泉
00006=插座
00007=音乐
00008=摄像
00009=电器
00010=风扇
00011=气味机
00012=摄影机
00013=洒水器
00014=艺术电视
00015=排气扇
00016=百叶窗
00017=浴室电视
00018=帘幕
00019=空调
00020=热水器
00021=八合一传感器
00022=烟机
00023=AV
00024=VGA
00025=功放
00026=演示
00027=编程
00028=灭纹器
00029=4通道干接点输入模块
00030=气阀

;20
[20090215]
00000=社区

;21
[Schedule]
00000=电器
00001=开始时间
00002=结束时间
00003=状态(开始)
00004=状态(结束)
00005=已开始
00006=已结束
00007=有效/无效
00008=有效
00009=无效
00010=未开始
00011=未结束
00012=增加计划
00013=修改计划
00014=请选择电器!
00015=开始时间的小时部分不能为空!
00016=开始时间的分钟部分不能空!
00017=结束时间的小时部分不能为空!
00018=结束时间的分钟部分不能空!
00019=结束时间须大于开始时间!
00020=保存成功!
00021=你真的要删除它吗?


;22
[HomeStatus]
00001=热水器
00002=煤气表
00003=水槽
00004=能源
00005=电话线
00006=安防
00007=互联网
00008=滤水器
00009=抽水机
00010=OK
00011=故障
00012=1/4
00013=1/2
00014=3/4
00015=1

;23
[Meters]
00001=水表
00002=数字电表
00003=煤气表

;24
[SettingsForPIRSensor]
00001=是
00002=否

;25
[LightingTitle]
00001=回路
00002=场景

;26
[DVD]
00001=开
00002=关
00003=静音
00004=菜单
00005=OK

;27
[TV]
00001=退出

;28
[frmAlarmHistory]
00001=报警记录
00002=从
00003=到
00004=显示记录

;29
[MacroMusic_New]
00001=区域
00002=音源
00003=声音
00004=最大音
00005=静音

;30
[MacroAppliance]
00001=计划...

;31
[Schedule20090325]
00001=家电计划
00002=增加..
00003=修改...
00004=删除

;32
[Intercom]
00001=开锁
00002=回答
00003=拒绝
00004=记录
00005=社区管理
00006=摄像
00007=网络电话
00008=录制信息
00009=对讲机
00010=声音

;33  //2009.03.30
[Settings_Room]
00001=修改房间
00002=增加房间
00003=顺序ID应大于0
00004=房间名不能为空!
00005=请选择房间的图标!
00006=顺序ID只允许是数字类型!
00007=当前房间不能被修改!因为它留作系统用!
00008=如果删除房间,将会删除这个房间的所有配置信息.你确定要删除这个房间吗?
00009=(*.jpg,*.jpeg,大小:150x150像素,高质量)
00010=如果删除设备,将会删除这个设备的所有配置信息.你确定要删除这个设备吗?
00011=请选择设备


;34 
[20090401]
00001=请选择区域!

;35
[ElectricityMeter]
00001=数字电表
00002=当前电表值(度KWH):
00003=每天
00004=每月
00005=选择天:
00006=读取数据
00007=X坐标:小时  Y坐标:电度数(KW*H)
00008=选择年:
00009=X坐标:月 Y坐标:电度数(KW*H)

;36
[HomeStatus_New]
00001=家的状态


;37
[Shopping]
00001=购物

;38
[Weather]
00001=天气预报
00002=请选择城市:

;39
[Meters_New]
00001=仪表

;40
[CanDimOrNot]
00001=能
00002=不能

;41
[Photos]
00001=退出

;42
[Msg]
00001=当前电流超过%安培，建议您关掉一些灯或者电器

;43
[ControlType]
0=场景
1=序列
2=通用开关
3=无效
4=单路调节
5=广播场景
6=广播回路
7=窗帘控制
8=定时器控制
9=GPRS	
10=面板控制
11=安防布防
12=安防报警

;44
[ParameterOfControlType]
00001=区号
00002=场号
00003=序列号
00004=通用开关号
00005=开关状态
00006=回路号
00007=亮度 %
00008=运行时间 分:秒
00009=所有区
00010=所有回路
00011=报警类型
00012=安防模式


;45
[frmSettings_Channel_Setup]
00001=增加灯到当前房间
00002=修改当前房间的灯
00003=灯备注不能为空!
00004=无效子网ID (数字要求0-254)
00005=无效设备ID (数字要求0-254)
00006=无效回路号 (数字要求0-254)
00007=增加成功!
00008=不正确的数据类型,只允许数字类型!
00009=增加场景到当前房间
00010=修改场景
lblClose=返回
lblTitle=增加灯到当前房间
lblSave=储存
Label3=当前房间:
Label1=备注:
Label5=子网ID:
Label6=设备ID:
Label8=回路:
Label9=亮度:
Label11=开的运行时间:
Label14=关的运行时间:
Label2=顺序号:
chkCanDim=能够调光


;46
[frmSettings_Scene_Setup]
00001=场景名字不能为空!
00002=增加成功!
00003=修改成功!
00004=增加
00005=储存
lblClose=返回
lblTitle=增加场景到当前房间
lblSave=储存
Label3=当前房间:
lblSceneName=场景名字:



;47
[frmSettingsForZoneConfig]
00001=请选择你要删除的命令
00002=你确定要删除所选择的命令吗?(总数:%)
00003=请选择场景
00004=命令不存在!
00005=请选择你要修改的命令!
00006=音源的名字已经存在!
00007=你确定要删除这个音源吗?
lblClose=返回
Label2=选择房间:
Label1=当前房间的设备:
Label98=储存
lblSave_WaterHeater=储存
Label64=热水器设置
Label65=子网ID:
Label66=设备ID:
Label67=回路:
lblAC_Save=储存
Label56=空调设置
Label57=子网ID:
Label60=设备ID:
Label20=带空调功能的面板的地址:
Label102=当前电视按键的命令
Label106=全选
Label108=全不选 
Label110=增加命令...
Label111=修改已选择命令...
Label112=删除已选择命令
Label113=命令总数:
Label114=请选择电视按键:
lblONTV=开
lblOFFTV=关
lblTVMute=静音
lblAV=AV
lblTVExit=退出
lblTVOK=OK
lblAdd=增加...
lblModify=修改...
Label3=删除
Label21=当前DVD按键的命令
Label22=命令总数:
Label24=全不选 
Label25=全选
Label26=增加命令...
Label27=修改已选命令...
Label28=删除已选命令
lblCopy_DVD=复制已选命令
lblPaste_DVD=粘贴命令
lblOnDVD=开
lblOffDVD=关
lblMuteDVD=静音
lblMenuDVD=菜单
lblOKDVD=OK
Label17=请选择DVD按键:
Label70=增加...
Label90=修改...
Label91=删除
Label95=设备名字:
Label107=ID:
Label93=子网ID:
Label94=设备ID:
grpForOpen=窗帘开
Label92=控制类型:
Label96=第1个参数:
Label97=第2个参数:
lblRunTime_Open=运行时间(mm:ss):
grpForClose=窗帘关
Label99=控制类型:
Label100=第1个参数:
Label101=第2个参数:
lblRunTime_Close=运行时间(mm:ss):
grpForStop=窗帘停止
Label103=控制类型:
Label104=第1个参数:
Label105=第2个参数:
lblRunTime_Stop=运行时间(mm:ss):
lblDelete_Others=删除
lblModify_Others=修改...
lblAdd_Others=增加...
TabSheet3=开
Label31=命令信息
Label32=命令总数:
Label34=复制已选命令
Label35=粘贴命令
Label36=全选
Label37=全不选
lblModifyObject_Others=修改已选命令...
lblAddObject_others=增加命令...
Label40=删除已选命令
stChannel=开
TabSheet4=关
Label23=全选
Label29=全不选
Label30=修改已选命令...
Label38=命令信息
Label39=复制已选命令
Label41=粘贴命令
Label42=增加命令...
Label43=删除已选命令
Label44=命令总数:
StaticText3=关
TabSheet1=回路
Label7=增加 ...
Label8=修改...
Label9=删除
Label11=回路信息
StaticText7=回路
TabSheet2=场景         
Label4=场景信息
Label5=当前场景的命令信息
Label6=命令总数:
Label10=增加场景...
Label12=修改场景...
Label13=删除场景...
Label14=增加命令...
Label15=修改已选命令...
Label16=删除已选命令
Label18=全选
Label19=全不选
Label51=复制已选命令
Label52=粘贴命令
stScene=场景
TabSheet5=音源名字
Label50=删除
StaticText4=音源
GroupBox6=修改
Label45=储存
Label46=音源名字:
Label47=ID:
lblSourceIDValue=ID
GroupBox5=增加
Label48=增加
Label49=音源名字:
Label55=全选
Label58=全不选
Label59=增加命令...
Label61=修改已选命令...
Label62=删除已选命令
Label63=命令总数:
Label68=当前音源的命令
Label69=音源
lblCopy_source=复制已选命令
lblPaste_source=粘贴命令
StaticText5=音源
TabSheet8=音量控制
Label72=当前音量类型的命令
Label73=全选
Label74=全不选
Label75=增加命令...
Label76=修改已选命令...
Label77=删除已选命令
Label78=命令总数:
Label79=音量类型
lblCopy_vol=复制已选命令
lblPaste_vol=粘贴命令
StaticText1=音量
TabSheet9=播放控制
Label81=当前播放控制类型的命令
Label82=全选
Label83=全不选
Label84=增加命令...
Label85=修改已选命令...
Label86=删除已选命令
Label87=命令总数:
Label88=播放控制类型:
lblCopy_play=复制已选命令
lblPaste_play=粘贴命令
StaticText2=播放控制
TabSheet10=开/关
Label109=当前控制类型的命令
Label115=全选
Label116=全不选
Label117=增加命令...
Label118=修改已选命令...
Label119=删除已选命令
Label120=命令总数:
Label33=选择控制类型:
lblCopy_onoff=复制已选命令
lblPaste_onoff=粘贴命令
StaticText6=开/关
00008=顺序号
00009=备注
00010=正常时的备注
00011=异常时的备注
00012=子网ID
00013=设备ID
00014=连接号
00015=激活信息报警
00016=激活报警日志
00017=激活声音报警
00018=报警声音文件名
00019=备注
00020=亮度(%)
00021=开的运行时间(s)
00022=关的运行时间(s)
00023=能否调光
00024=场景ID
00025=场景名字
00026=设备名字
00027=确定要删除当前灯吗?
00028=确定要删除当前场景吗?
00029=设备备注
00030=开的备注
00031=关的备注
TabSheet7=音源控制
TabSheet6=从音乐的集中控制里复制配置
lblTitle=设备配置
Label80=复制音乐区域配置从:
Label89=复制数据

;48
[UniversalSwitch]
0=关
255=开

;49


;50
[frmSettings_Device_Of_Room]
00001=请选择设备!
00002=设备名字
lblClose=返回
Label6=房间里的设备设置
Label1=选择房间:
Label2=当前房间的设备:
Label3=添加设备...
Label5=删除所选设备
Label7=当前房间图片:
lblCurDeviceTitle=当前设备图片:

;51
[frmSettings_Curtain_Setup]
00001=增加窗帘到当前房间
00002=修改当前窗帘
lblClose=返回
lblTitle=修改窗帘
Label2=当前房间:
lblCurRoomValue=当前房间:
lblSave=储存
Label95=设备名字:
Label93=子网ID:
Label94=设备ID:
lblCurCurtainID=当前窗帘ID:
lblCurCurtainIDValue=当前房间:
grpForOpen=开窗帘的设置
Label92=控制类型:
lblFirstPara_Open=参数1:
lblSecondPara_open=参数2:
Label98=运行时间(mm:ss)
grpForClose=关窗帘的设置
Label99=控制类型:
lblFirstPara_Close=参数1:
lblSecondPara_Close=参数2:
Label102=运行时间(mm:ss)
grpForStop=停止窗帘的设置
Label103=控制类型
lblFirstPara_Stop=参数1:
lblSecondPara_Stop=参数2:
Label106=运行时间(mm:ss)
chkExist=激活停止窗帘的功能

;52 
[Curtain_Stauts]
0=停止
1=开启
2=关闭

;53


;54
[Language_settings]
00001=语言切换成功!软件将会关闭,你需要重开软件!

;55
[MessageStatus]
2=未读
1=已读

;56
[object_of_TV]
00001=当前房间:
00002=当前按键:
00003=修改当前房间当前电视按键的命令

;57
[frmsettings_Add_object]
lblClose=返回
lblTitle=增加命令
lblTotalObject=需要增加的命令数量:
lblAdd=增加
00001=当前灯:
00002=当前区:
00003=当前音源:
00004=当前音量类型:
00005=当前播放控制类型:
00006=当前控制类型:
00007=当前房间:
00008=增加读当前区状态的命令
00009=增加读当前音源状态的命令
00010=当前家电:
00011=当前电视按键:
00012=当前DVD按键:

;58
[security_alarm_type_define]
1=电流
2=紧急情况
3=恐慌
4=煤气
5=火灾
6=温度
7=电力
8=警报器
9=白天
10=晚上来宾
11=夜晚
12=离家
13=假期

;59
[Volume_Value_define]
1=+
2=-
3=最大音
4=75%
5=50%
6=25%
7=关

;60
[Play_control_type_define]
1=上一首
2=下一首
3=播放和暂停

;61
[Music_all_on_off_define]
1=全开
0=全关

;62
[on_off_define]
1=开
0=关

;63
[define_alarm_type_of_history]
1=假期(布防)
2=离家(布防)
3=晚上(布防)
4=晚上来宾(布防)
5=白天(布防)
6=撤防
7=假期(报警)
8=离家(报警)
9=晚上(报警)
10=晚上来宾(报警)
11=白天(报警)
12=警报器(报警)
13=电力(报警m)
14=温度(报警)
15=火灾(报警)
16=煤气(报警)
17=恐慌(报警)
18=紧急情况(报警)
19=电流(报警)

;65
[msg_active]
00001=当前功能需要激活!

;66
[define_yes_no]
1=是
0=否

;67
[frmSettingsZone]
lblClose=返回
Label3=设置
Label2=房间
Label4=设备
Label5=设备配置
Label1=房间控制的设置
lblMacro_Security=安防
lblMacroButtons=动作宏控纽
lblMacro_Lighting=灯光
Label7=集中控制的设置
lblMacro_Energy=能源
lblMacro_Camera=视频监控
lblMacro_Music=音乐
lblMacro_Appliance=家电
Label6=语言
Label8=设置界面的密码
Label10=系统设置
Label14=光标
Label9=天气预报
Label11=购物
Label12=通讯设置
Label13=数字电表
Label15=视频
lblCommunity=社区


;68
[frmsettings_Shopping]
00001=购物
00002=URL:

;69
[frmsettings_power_meter]
00001=数字电表设置
00002=激活
00003=子网ID:
00004=设备ID:
00005=警报电流 >=

;70
[frmSettings_Language]
00001=语言设置
00002=当前语言:

;71
[frmSettings_Macro_buttons]
00001=动作宏按纽的设置
00002=动作宏按纽
00003=命令信息
00004=当前动作宏按纽ID:
00005=命令总数:
00006=顺序号
00007=名字

;72
[frmSettings_Macro_Add_Objects]
00001=增加命令到当前动作宏按纽
00002=ID:
00003=当前动作宏铵纽:
00004=需要增加的命令数量:
00005=增加

;73
[frmSettings_Object_Of_Scene_Setup]
lblClose=返回 
lblTitle=修改命令
lblFirst=当前房间:
lblSecond=当前场景:
lblSave=储存
chkIsSynSubNetID=同步修改子网ID
chkSynDeviceID=同步修改设备ID
chkSynKind=同步修改类型
chkModifyPara3=同步修改参数3
00001=修改命令
00002=同步修改子网ID
00003=同步修改设备ID
00004=同步修改类型
00005=当前安防报警:
00006=当前设备:
00007=当前灯亮度值:
00008=当前区:
00009=当前音源:
00010=当前音量类型:
00011=当前播放控制类型:
00012=当前控制类型:
00013=修改读取当前区状态命令
00014=修改读取当前音源状态命令
00015=当前房间:
00016=当前音量类型:
00017=当前播放控制类型:
00018=当前控制类型:
00019=当前家电:
00020=当前控制类型:
00022=当前安防模式:


;74
[frmsettings_lighting_macro]
00001=灯光设置(集中控制)
00002=亮度值

;75
[frmSettings_Security_Show]
lblClose=返回
Label6=安防设置
TabSheet3=模块地址
lblMacro1=安防模块的地址
Label9=子网ID:
Label11=设备ID:
StaticText6=模块地址
TabSheet1=布防模式
Label10=增加...
Label12=修改...
Label13=删除
Label5=当前布防模式的命令
Label2=总命令:
lblSecurityName=假期
lblCopy=复制已选命令
lblPaste=粘贴命令
Label18=全选
Label19=全不选 
Label16=删除已选择的命令
Label15=修改已选择的命令...
Label14=增加命令...
StaticText1=安防布防
TabSheet2=安防报警
Label1=增加...
Label3=修改...
Label4=删除
Label7=安防报警的命令
Label8=总命令:
lblTotalObjectsValue_Alarm=1
lblRemark_Alarm=恐慌
Label24=修改已选择的命令...
Label25=增加命令...
Label26=删除已选择命令
Label27=全不选
Label28=全选 
Label29=粘贴命令
Label30=复制已选命令
StaticText2=布防模式
TabSheet4=密码
Label17=改变安防密码
Label20=当前密码:
Label21=新密码:
Label22=确认密码:
StaticText3=密码
00001=储存地址成功!
00002=当前密码错误!
00003=密码长度应为%位
00004=新密码和确认密码应一样!
00005=改变密码成功!
00006=模式ID
00007=模式名字
00008=顺序号
00009=记录ID
00010=报警名字

;76
[frmSettings_AC]
lblClose=返回
Label6=空调设置(集中控制)
Label1=带空调功能的面板地址:
Label8=删除
Label2=子网ID:
Label3=设备ID:
Label14=增加
Label4=子网ID:
Label5=设备ID:
Label7=储存
Label9=温度:
Label10=储存
Label11=冷:
Label12=凉爽:
Label13=热:
Label15=温暖:
Label16=单位:
GroupBox1=增加地址
GroupBox2=修改地址

00001=子网ID
00002=设备ID
00003=地址已经存在!
00004=储存温度成功!

;77
[frmsettings_camera]

lblClose=返回
lblTitle=视频监控设置
TabSheet1=本地摄像头
Label28=删除
Label29=本地摄像头
TabSheet3=增加
Label7=增加
Label8=名字:
Label9=URL/IP:
lblAdd_Local_Web=增加
Label11=名字:
Label12=网站地址或IP地址:
lblAdd_Local_App=增加
Label14=摄像头的品牌:
Label15=用户名:
Label16=密码:
Label17=HTTP端口:
TabSheet4=修改
Label13=修改
Label20=ID:
lblIDValue_local=修改
Label21=名字:
Label22=URL/IP:
lblSave_local=储存
Label24=摄像头的品牌:
Label25=用户名:
Label26=密码:
Label27=HTTP端口:
Label18=名字:
Label19=URL/IP:
lblAdd_local_modify=储存
TabSheet2=互联网的摄像头
Label6=删除
Label30=互联网的摄像头
GroupBox2=增加
Label10=增加
Label1=名字:
Label2=URL/IP:
GroupBox3=修改
Label3=储存
Label4=名字:
Label5=URL/IP:
Label23=ID:
lblIDValue_internet=ID
rdoWeb_Add=浏览器
rdoApplication_Add=应用程序
rdoWeb_Modify=浏览器
rdoApplication_Modify=应用程序

00001=名字
00002=URL / IP
00003=URL
00004=名字不能空!
00005=URL不能为空!
00006=连接服务器错误!
00007=请选择摄像头!

;78
[frmSettings_video]
lblClose=返回
lblTitle=视频设置
TabSheet1=类别定义
lblDeleteZone=删除
GroupBox1=增加
lblAdd_Zone=增加
Label8=类别:
GroupBox4=修改
Label11=储存
Label12=类别:
Label14=ID:
StaticText3=类别定义
TabSheet3=视频
Label21=删除
Label9=增加...
Label17=修改...
StaticText4=视频
Label7=主角:
Label10=导演:
Label13=时间:
Label15=级别:
Label1=分钟
Label16=类别:
Label18=宣传辞:
Label19=故事情节:
00001=名字已经存在!
00002=类别
00003=视频名字
00004=视频路径
00005=确认要删除当前视频吗?
00006=确认要删除当前类别吗?

;79
[frmsettings_video_setup]
lblClose=返回
lblTitle=增加视频
lblFirstPara=视频名字:
Label1=主角:
Label2=导演:
Label3=时间:
Label4=分钟
Label5=评级:
Label6=宣传辞:
Label7=故事情节:
lblTotalObject=视频路径:
Label8=图片:
lblOpenPic=打开...
lblUploadVideo=打开...
Label11=类别:
Label10=在windows media player中你能通过快捷键截取视频图像: 
Label14=增加
Label12=从列表移除
Label9=增加类别到列表
00001=上传视频和保存数据可能将会花费几分钟时间,请稍等...
00002=增加视频
00003=修改视频

;80
[frmsettings_Music]
00001=区名
00002=音量
00003=播放控制类型
00004=音源
00005=区名已经存在!
00006=音源已经存在!
00007=你将会删除当前区的所有信息,你确认要删除吗?
00008=你确认要删除当前音源吗?

lblClose=返回
lblTitle=音乐设置(集中控制)
TabSheet1=区名
lblDeleteZone=删除
GroupBox1=增加
lblAdd_Zone=增加
Label8=区名字:
GroupBox4=修改
Label11=储存
Label12=区名字:
Label14=ID:
StaticText3=区
TabSheet3=音源名字
Label21=删除
GroupBox5=增加
Label9=增加
Label13=音源名字:
GroupBox6=修改
Label17=储存
Label18=音源名字:
Label19=ID:
StaticText4=音源控制
TabSheet2=音源控制
Label3=选择区:
Label4=全选
Label5=全不选
Label6=增加命令...
Label7=修改已选命令...
Label10=删除已选命令
Label15=命令总数:
Label23=当前区域当前音源的命令
Label28=音源
Label48=复制已选命令
Label49=粘贴命令
StaticText5=区域和音源
TabSheet4=音量控制
Label22=选择区域:
Label24=当前区域当前音量类型的命令
Label25=全选
Label26=全不选
Label27=增加命令...
Label31=修改已选命令...
Label32=删除已选命令
Label33=命令总数:
Label1=音量类型
Label46=复制已选命令
Label47=粘贴命令
StaticText1=音量
TabSheet5=播放控制
Label34=选择区域:
Label35=当前区域当前播放类型的命令
Label36=全选
Label37=全不选
Label38=增加命令...
Label39=修改已选命令...
Label40=删除已选命令
Label41=命令总数:
Label2=Play control type:
Label50=复制已选命令
Label51=粘贴命令
StaticText2=播放控制
TabSheet6=全开/全关
Label16=选择控制类型
Label20=当前控制类型的命令信息
Label29=全选
Label30=全不选  
Label42=增加命令...
Label43=修改已选命令...
Label44=删除已选命令
Label45=命令总数:
Label52=复制已选命令
Label53=粘贴命令
StaticText6=全开/关
TabSheet7=NUVO状态读取
StaticText7=NUVO
TabSheet8=读区的状态
Label61=删除已选命令
Label60=修改已选命令...
Label59=增加命令...
Label58=全不选  
Label55=全选
Label57=粘贴命令
Label56=复制已选命令
Label54=区
Label62=读取当前区状态的命令信息
Label63=命令总数:
StaticText8=读区的状态
TabSheet9=读音源的状态
Label64=删除已选命令
Label65=修改已选命令...
Label66=增加命令...
Label67=全不选  
Label68=全选
Label69=粘贴命令
Label70=复制已选命令
Label71=读音源状态的命令信息
Label72=命令总数:
Label74=音源
StaticText9=读音源状态
editZoneName_Modify=客厅
editSourceName_modify=放松
chkIsNUVO=使用NUVO音乐系统

TabSheet10=同步修改地址
Label75=设备ID:
Label76=子网ID:
lblMacro1=同步修改地址
TabSheet11=备份
GroupBox2=备份RS232设备
Label77=你要备份的RS232地址：
Label78=子网ID:
Label79=设备ID:
lblBackup_RS232=备份
Label80=保存路径:
Label81=...
GroupBox3=备份HAC中的音乐设置
Label84=备份
Label82=保存路径:
Label83=...
TabSheet12=恢复
GroupBox7=恢复RS232设备
Label85=RS232设备的地址：
Label86=子网ID：
Label87=设备ID:
Label88=恢复
Label89=文件路径：
Label90=...
GroupBox8=恢复HAC中的音乐设置
Label91=恢复
Label92=文件路径:
Label93=...
TabSheet13=NUVO默认设置

;81
[frmsettings_appliance]
lblClose=返回
lblTitle=家电设置
TabSheet1=家电
lblDeleteZone=删除
lblAdd_Zone=增加...
Label11=修改...
StaticText3=家电
TabSheet6=命令
Label16=选择家电:
Label20=命令信息
Label29=全选 
Label30=全不选 
Label42=增加命令...
Label43=修改已选命令...
Label44=删除已选命令
Label45=命令总数:
Label1=选择控制类型:
StaticText6=命令

00001=家电名字
00002=顺序号
00003=图片名

;82
[frmSettingsForRoom]
lblClose=返回
Label2=当前图片:
Label3=增加...
Label4=修改..,
Label5=删除...
Label6=房间设置
00001=顺序号
00002=房间名
00003=图片名

;83
[frmSettings_Setup_Room]
lblClose=返回
lblTitle=修改房间
Label3=房间名字:
Label4=修改图标:
lblOpenPic=打开...
lblID=ID:
Label8=顺序号:
lblSave=储存
Label1=当前图标:
lblPicHint=(*.jpg,*.jpeg,大小:150x150像素,高质量)
rdobtnSelPic=选择已存在图标
rdobtnUploadPic=上传我的图标

;84
[frmSettings_Setup_Device]
lblClose=返回
lblTitle=添加设备到当前房间
lblCurRoomName=当前房间:
lblCurRoomID=当前房间ID:
lblSave=增加
Label1=添加设备到当前房间:
00001=设备名字
00002=请选择设备!

;85
[frmSettings_Add_Object_Of_Light]
lblClose=返回
Label6=增加命令
Label1=要增加的命令数量:
lblAdd=增加
Label2=当前房间:
Label4=当前场景:

;86
[frmSettings_OnOffDevice_Setup]
lblClose=返回
lblTitle=添加设备到当前房间
lblSave=储存
lblSecondPara=设备备注:
lblCurRoom=当前房间:
lblCurRoomValue=ID
Label1=开的备注:
Label2=关的备注:
00001=提醒:
00002=修改设备

;87
[frmsettings_change_psw_of_settings]
lblClose=返回
lblTitle=修改进入设置界面的密码
Label20=当前密码:
Label21=新密码:
Label22=确认密码:
lblClear=清空
00001=当前密码错误!
00002=密码长度应为%位
00003=新密码和确认密码就为相同!
00004=修改密码成功!

;88
[MacroSecurity_1]
00001=查看区

;89
[frmMacro_Security_Status]
lblClose=返回
lblTitle=安防区的信息
Label1=当前区:
Label2=改变状态:
lblReadData=读取数据
rdobtnEnbaled=激活的
rdobtnDisabled=无效的
00001=修改失败!
00002=数据读取失败!

;90
[frmMessage]
lblClose=返回
Label1=删除
Label2=录音
00001=正在播放...
00002=停止
00003=正在保存...
00004=已保存录音!
00005=已保存录音
00006=日期时间
00007=状态
00008=请开始录音留言...

;91
[frmVideo]
lblClose=返回
lblTitle=视频
Label15=音乐
lblSendout=发送
lblSettings=设置
Label2=主角:
Label3=导演:
Label5=时间:
Label7=级别:
lblMin=分钟
Label9=类别:
Label11=宣传词:
Label13=主要内容:
tabVideo_all=所有
Label17=视频
stByletter_all=起始字母
stBySearch_all=查找
stShowall_All=显示所有
Label38=目录:
Label45=查找
Label73=子类别:
Label44=取消
tabsheetMusic=音乐
lblTotalPage_Music=总页
Label32=目录:
Label33=主角:
Label34=导演:
Label35=获奖:
Label36=分辨率:
Label46=语言:
Label47=查找
Label48=子目录:
Label49=取消
Label50=A
stByletter_Music=起始字母
stBySearch_Music=查找
stShowall_Music=显示所有
tabsheetAbstract=概要
Label16=歌手:
Label22=时间:
Label14=获奖:
Label37=语言:
Label51=建议:
Label74=分辨率:
Label75=立体声:
Label77=压缩:
Label78=最爱:
tabPreview=预览
lblEnlargeLocal=全屏
tabRemote=监控
Label1=目标电脑:
Label8=当前状态:
lblRefresh_Video_Remote=刷新
Label12=正在播放的视频:
Label10=视频列表:
Label4=总视频数:
lblSaveRepeate=保存
rdoRepeat_Off=不重复
rdoRepeat_one_video=重复单个视频
rdoRepeat_video_list=重复播放列表
GroupBox3=控制
lblPlaySelectedVideo=播放已选择的视频
GroupBox4=音量
tabSendout=发送
lblSendAndQueue=发送并排队
lblSendAndPlay=发送并播放
lblSendAndPause=发送并停止
lblSendAndStop=停止
Label6=当前视频:
chkSameVideoPST=发送相同的时间
chkSameVOL=发送相同的音量
GroupBox1=选择目标电脑



;92
[frmSelectGenre]
lblClose=返回
lblTitle=选择视频类型
Label1=确认
Label2=全选
Label3=全不选
00001=选择视频类型!

;93
[frmReminder]
00001=题目
00002=提醒日期时间
00003=备注
lblBack=返回
Label2=提醒
Label8=增加...
Label9=修改...
Label10=删除

;94
[frmsettings_reminder_setup]
lblBack=返回
lblTitle=增加提醒
Label3=题目
Label4=提醒时间:
Label7=备注:
Label1=提醒日期:

;95
[frmPassword_for_settings]
lblClose=返回
lblTitle=请输入密码:
lblClear=清空

;96
[frmMsgDlg]
00001=是
00002=否
00003=取消

;97
[frmSettings_Security_Add_Object]
lblClose=返回
lblTitle=增加命令到当前安防模式
lblQTY=要增加的命令总数:
lblAdd=增加
lblName=当前安防模式名字:
lblID=当前安防模式ID:
00001=增加命令到当前安防模式
00002=当前安防模式ID:
00003=当前安防模式名字:
00004=增加命令到当前安防报警 
00005=当前报警ID:
00006=当前报警名字:

;98
[frmsettings_appliance_setup]
lblClose=返回
lblTitle=修改家电
Label3=家电名字:
Label4=修改图标:
lblOpenPic=打开...
Label8=顺序号:
lblSave=储存
Label1=当前图标:
lblPicHint=(*.jpg,*.jpeg,大小:150x150像素,高质量)
rdobtnSelPic=选择已存在的图标
rdobtnUploadPic=上传图标
00001=增加家电
00002=修改家电


;99
[MainForm]
00001=数据连接失败!
00002=系统找不到你的IP地址!


;100
[frmSetupSensor]
lblClose=返回
Label2=当前房间:
Label5=备注:
Label6=正常时备注:
Label7=异常时备注:
Label8=子网ID:
Label9=设备ID:
Label10=连接号:
Label11=NC:
Label12=顺序号:
lblSave=储存
lblOpenFile=打开...
lblTitle=八合一传感器
Label1=声音文件:
lblID=ID:
chkEnabledMsgAlarm=激活消息报警
chkEnabledLog=激活日志记录  
chkEnabledVOLAlarm=激活声音报警

;101
[ZoneControl_20090615]
00001=开/关:
00002=音源:
00003=声音:
00004=播放控制:

;102
[frmMacroCamera]
lblClose=返回
lblUp=上
lblLeft=左
lblHome=中心
lblRight=右
lblDown=下
lblPanSpeed=水平旋转速度:
lblTiltSpeed=倾斜速度:
lblZoomSpeed=变焦速度:
lblFocusSpeed=聚焦速度:
lblPan=水平旋转
lblStop=停止
lblPatrol=巡逻
lblSnapshot=快照
lblZoomOut=放小
lblZoomIn=放大
lblFocus=聚焦:
lblFar=远
lblAuto=自动
llblNear=近
TabSheet1=本地
TabSheet2=互联网

;103
[Macro_muisc_20090615]
00001=当前区和音源信息
00002=区:
00003=区电源状态:
00004=音源:
00005=音量:
00006=专辑:
00007=歌手:
00008=歌名:
00009=播放时间:
00010=播放状态:


;104
[frmSetupSchedule]
lblClose=返回
lblSettings=设置
lblTitle=增加家电设备
Label1=家电:
Label2=起始时间:
Label3=小时
Label4=分钟
lblEndTime=结束时间:
Label6=小时
Label7=分钟
lblSave=储存
chkEnabled=激活

;105
[frmp_Register]

;106
[frmsettings_Video_new]
lblClose=返回
lblTitle=视频设置
Label21=保存
TabSheet1=视频
GroupBox2=视频目录
grpVideoInfo=当前视频信息
Label7=主角:
Label10=导演:
Label13=时间:
Label15=级别:
lblOpenPic=...
lblFirstPara=视频名字:
Label9=简介:
Label11=宣传词:
lblTotalObject=URL:
lblUploadVideo=...
Label1=获奖:
Label2=推荐:
Label3=最爱:
Label4=副题:
Label5=语言:
Label6=分辨率:
Label8=立体声:
Label12=图片URL:
Label14=起始字母:
lblSave=保存
Label16=(例如:\\192.168.0.2\test.avi)
chkRipped=压缩
tabMusic=音乐
GroupBox3=音乐目录
grpInfo_music=当前音乐信息
Label26=歌手:
Label30=时间:
Label35=歌名:
Label38=音乐URL:
Label39=...
Label48=起始字母:
imgSave_music=保存
Label51=(例如:\\192.168.0.2\test.avi)
TabSheet2=目标电脑
Label24=删除
GroupBox1=增加
lblAdd_Zone=增加
Label17=目标电脑:
Label22=子网ID:
Label23=设备ID:
GroupBox4=修改
Label18=保存
lblID_Target_machine=ID
Label19=设备ID:
Label20=子网ID:
Label25=目标电脑:

;107
[frmBills]
lblClose=返回
lblTitle=帐单
Label2=请选择帐单类型:


;108
[frmNews]
lblClose=返回
lblTitle=新闻
Label2=请选择新闻类型:


;109
[frmBuyAndSell]
lblClose=返回
lblTitle=购物
Label2=请选择：


;110
[frmRentAndLease]
lblClose=返回
lblTitle=出租
Label2=请选择：


;111
[frmOnlineTV]
lblClose=返回
lblTitle=在线电视
Label2=请选择：
pan=请选择电视频道

;112
[frmLostAndFound]
lblClose=返回
lblTitle=失物招领
Label2=请选择:

;113
[frmSocialNetworking]
lblClose=返回
lblTitle=社会交往
Label2=请选择:


;114
[frmSettings_Community]
lblClose=返回
lblTitle=社区设置
Label6=删除
Label7=选择类型:
GroupBox2=增加
Label10=增加
Label1=名字:
Label2=URL:
Label8=显示顺序号:
GroupBox3=修改
Label3=保存
Label4=名字:
Label5=URL:
Label9=显示顺序号:
00001=显示顺序号

;115
[DBMacroButtons]
00000=灯光
00001=安防
00002=能源
00003=视频监控
00004=音乐
00005=电器

;116
[frmSetup_4_input_sensor]
lblClose=返回
Label2=房间:
lblZoneValue=区域:
Label5=备注:
Label6=正常时备注:
Label7=异常时备注:
Label8=子网ID:
Label9=设备ID:
Label10=连接号:
Label12=顺序号:
lblSave=保存
lblOpenFile=打开...
lblTitle=4通道干接点输入模块 
Label1=声音文件:
lblIDValue=ID
lblID=ID:
chkEnabledMsgAlarm=激活消息报警
chkEnabledLog=激活日志记录
chkEnabledVOLAlarm=激活声音报警

;117
[frmSettings_Security_Setup_Mode]
lblClose=返回
lblTitle=增加安防报警类型
lblModeID=ID:
lblName=名字:
Label4=顺序号:
Label1=修改图标:
lblOpenPic=打开...
lblPicHint=(*.jpg,*.jpeg,大小:150x150像素,高质量图片)
Label5=当前图标:
lblSave=保存
rdobtnSelPic=选择已存在图标
rdobtnUploadPic=上传图标

;118
[yes_no_define]
0=否
1=是

;119
[resolution_def]
1=HDMI
2=高
3=中
4=低

;120
[surround_def]
1=5.1
2=7.1
3=立体声
4=其他


;121
[settings_of_community]
8=帐单
4=失物招领
1=新闻
6=在线电视
3=出租
2=购物
5=社会交往
7=天气预报

;122
[NUVO]
00001=已停止
00002=已暂停
00003=正在播放
00004=快进
00005=快退
00006=缓冲歌曲
00007=正在等待传输数据
00008=已到达歌曲结束
00009=正在准备新歌曲
00010=就绪
00011=未定义
00012=正常
00013=空闲
00014=正在播放
00015=已暂停
00016=快进
00017=快退
00018=随机播放
00019=重复播放
00020=随机重复播放
00021=未知
00022=开
00023=关

;123
[MSG_New]
;no need translate X-Y ,% ,@
00001=无效的数字，范围是X-Y
00002=数据类型不正确，只允许是浮点类型!
00003=通讯初始化失败!
00004=确定要删除当前提醒吗?(主题:%)
00005=确定要删除当前信息吗?
00006=不能够连接互联网，请检测你的互联网！
00007=不能够找到headlines文件!
00008=请选择目标电脑
00009=请选择在监控页面的目标电脑!
00010=刷新成功！
00011=刷新失败！
00012=成功在目标电脑(@)播放视频%
00013=播放失败
00014=成功暂停
00015=暂停失败
00016=成功停止
00017=停止失败
00018=快退成功
00019=快退失败
00020=快进成功
00021=快进失败
00022=操作前一个视频成功
00023=操作前一个视频失败
00024=操作下一个视频成功 
00025=操作下一个视频失败  
00026=保存成功！
00027=保存失败！
00028=请选择视频
00029=确定要在目标电脑删除视频吗%?
00030=成功删除视频%
00031=删除视频失败!
00032=请选择视频
00033=显示记录失败！
00034=无记录!
00035=正在读取从互联网读数据，它可能需要20秒，请稍等...
00036=请选择房间!
00037=成功复制数据!
00038=复制数据失败!
00039=安防模式名不能为空！
00041=将会改变音乐设置里的所有子网ID和设备ID，继续吗?
00042=保存路径不能为空!
00043=确认要备份RS232模块的数据吗?
00044=成功备份RS232模块
00045=备份RS2模块失败！
00046=请选择文件！
00047=确认要恢复RS232模块数据吗？
00048=成功恢复！
00049=恢复失败！
00050=成功备份HAC的音乐设置！
00051=备份失败！
00052=请选择mdb文件！
00053=确认要恢复HAC里的音乐设置吗?
00054=不能找到文件%
00055=将会重写RS232模块配置和删除HAC里的音乐设置，继续吗？
00056=成功执行NUVO默认设置！
00057=执行NUVO默认设置失败！
00058=名字不能为空！
00059=将会删除文件夹下面的所有视频，继续吗？（文件夹%）
00060=视频名已经存在！
00061=URL错误！(例如:%)
00062=保存成功！
00063=确认要删除视频吗?(%)
00064=目标电脑备注不能为空！
00065=无效子网ID!
00066=无效设备ID! 
00067=请选择目标电脑！
00068=确认要删除当前目标电脑吗？
00069=确认要删除当前文件夹吗？(%)
00070=确认要删除当前音乐吗？(%)
00071=歌名不能为空！
00072=歌名已经存在！
00073=成功保存音乐信息！
00074=文件夹名不能为空！
00075=文件夹名已经被用！
00076=名字不能为空！
00077=URL不能为空！
00078=当前名字已经存在！
00079=无效顺序号，只能是数字！
00080=请选择你要删除的!
00081=确认要删除它吗？
00082=HAC软件已经被打开！
00083=设备配置
00084=请选择电视按键
00085=请选择安防模式/报警类型
00086=增加安防模式
00087=模式名字:
00088=增加安防报警：
00089=报警名字:
00090=修改安防模式
00091=修改安防报警
00092=增加动作宏按纽
00093=修改动作宏按纽
00094=名字:
00095=请选择动作你要删除的动作宏按纽
00096=你确定要删除当前动作宏按纽吗？
00097=发送后的延时(毫秒)
00098=请增加你要控制的液晶面板(带空调控制功能)的所有地址
00099=请选择你的图标！
00100=同步修改延时
00101=(温度的范围可以查看在液晶面板中的设置）
00102=NUVO默认设置
00103=如果你用的是NUVO音乐系统(6个区),你能够用这个默认设置.它能够很容易的设置好你的RS232的模块和软件里的音乐配置. 如果用的不是NUVO音乐系统,这个功能并不适用.但你可以进行手动设置.(例如: 使用SBUS软件设置RS232模块,和去到音源控制页面等等)
00104=RS232模块的地址:
00105=子网ID
00106=设备ID
00107=NUVO默认设置
00108=可能需要几分钟,请稍等 ...
00109=快速备份
00110=完整备份
00111=备份
00112=(在RS232模块中,每个通用开关包含20个命令,如果遇到无效的命令,快速备份将会退出当前通用开关的备份,然后继续下一个通用开关)
00113=播放控制类型

00114=增加文件夹...
00115=重命名文件夹...
00116=删除文件夹
00117=增加视频...(须用URL,例如: \\192.168.1.2\,如果是本机的视频，请先共享文件夹)
00118=删除视频
00119=目标电脑
00120=数据已经被修改，你需要保存吗？

00121=增加文件夹
00122=修改文件夹名
00123=确认
00124=取消
00125=文件夹名:

00126=区号
00127=备注
00128=状态
00129=运行模式
00130=修改状态

00131=序号
00132=日期时间
00133=区号
00134=报警类型
00135=通道号
00136=数据错误！
00137=概要
00138=预览
00139=监控
00140=目录:
00141=条件
00142=当前URL为空，请检查设置
00143=发送和播放失败！
00144=发送和暂停失败！
00145=停止失败！
00146=发送和排队失败！
00147=发送和播放成功！
00148=发送和暂停成功！
00149=停止成功！ 
00150=发送和排队成功！  

00151=先请择在监控页面的目标电脑！
00152=目录
00153=目录
00154=视频列表
00155=目标电脑

00156=每天耗电量 
00157=每月耗电量 
00158=软件将会关闭，你需要重新运行软件。
00159=你确认要改变语言吗？
00160=须用URL,例如: \\192.168.1.2\,如果是本机的视频，请先共享文件夹
00161=光标
00162=确认要改变当前光标设置吗？
00163=(提示:还有另外一种方法可以修改光标。在HAC软件的根目录下，打开文件夹Cursor,打开文件Cursor.ini,你可以直接修改里面的配置) 
00164=光标设置
00165=显示光标

;new
00166=总灯数:
00167=总数:
00168=起始电度值:


;new
;124
[frmsettings_Macro_buttons_setup]
lblClose=返回
lblTitle=增加动作宏按纽
lblName=名字:
Label4=顺序号:
Label1=修改图标:
lblOpenPic=打开...
lblPicHint=(*.jpg,*.jpeg,150x150像素)
Label5=当前图标:
lblSave=保存
rdobtnSelPic=选择已经存在的图标
rdobtnUploadPic=上传图标
00001=名字不能为空！
00002=请选择图标!


;125
[20091010]
00001=执行中...
00002=本次操作可能不成功，如有必要请重试。

;126
[20091020]
00001=天
00002=度KWH
00003=月
00004=电费
00006=月:
00007=起始度数KWH
00008=结束度数KWH
00009=单价
00010=货币单位不能为空!
00011=基本费用的数据类型不对，只能是数字类型！
00012=起始度数的数据类型不对，只能是数字类型！
00013=结束度数的数据类型不对，只能是数字类型！
00014=单价的数据类型不对，只能是数字类型！ 
00015=当前公式已经存在!
00016=增加公式
00017=修改公式
00018=起始度数KWH:
00019=结束度数KWH:
00020=单价:
00021=确定要删除当前公式吗？
00022=基本信息
00023=电费的计算公式
00024=删除所有耗电量数据
00025=从数据库中删除所有的耗电量数据:
00026=删除
00027=将会从数据库中删除所有的耗电量数据，确认要删除吗？
00028=结束度数应大于起始度数!
00029=货币单位:
00030=基本费用:
00031=电费计算公式

;127
[onlinetv]
00001=Online TV


;128
[Status_of_Request]
1=Canceled
2=Comfirmed
3=Not Confirm
4=Not Available

;129
[confirm_type]
0=Password
1=Dialog

;130
[define_security_mode_of_module]
1=Vacation
2=Away
3=Night
4=Night with Guest
5=Day
6=Disarm

;131
[20100407]
00001=Bypass
00002=the player is disconnecting,please wait...
00003=Your trial version of 45 days has already expired!
00004=Your system datetime is changed!
00005=It should be not less than
00006=To buy official software version,please send the machine code to following email :
00007=Registration
00008=Machine Code:
00009=Licence:
00010=Register
00011=Trial Version,remainning days:
00012=(Hint:Please don't change your system datetime before register,otherwise trial version might not working)
00013=Register Now
00014=Hint:
00015=Contact No. of  dry contact 1 is 1
00016=Contact No. of  dry contact 2 is 2
00017=Contact No. of motion sensor is 4
00018=(What devices do you have in the room?)
00019=Current room name have already existed!
00020=Customize buttons in the Main Page
00021=Left section in main page
00022=Middle section in main page
00023=Hint:
00024=Check the items you have and uncheck the items you don't have 
00025=Customization

; End (Don't remove this line)


